WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Auto Delete Posts

The Auto Delete Posts plugin can be used to delete or move all posts after an expiration date has elapsed.

1.2.2

  • FEATURE: Bypass the trash can when deleting posts in WP >= 2.9.0

1.2.1

  • BUG FIX: Enable the Delete or Move Plugin Action when using Per Post settings

1.2

  • FEATURE: Allow for per post expiration in addition to site wide currently supported.
  • FEATURE: Allow for deletion from multiple categories

1.1.1

  • MESSAGE: Warn on Preview window when no Move, Delete or Add category is selected. Only affects upgrading users

1.1

  • FEATURE: Allow adding new categories to existing posts
  • BUG FIX: Properly save the settings on each load.

1.0.1

  • BUG FIX: Fix the immediate delete/move hooks being out of scope

1.0

  • REWRITE: A full rewrite of the plugin to be more modular

0.7.1

  • BUG FIX: Make both the Update Options button do the right thing.
  • BUG FIX: The Preview now only shows the chosen category, if any, or all categories
    if none chosen.

0.7

  • BUG FIX: Use more of the WP API and avoid issues of missing database tables.
  • BUG FIX: For WP 2.1.2. Fix the SQL query to exclude cat_ID 1 and 2 from showing up in
    the delete or move options.

0.6

  • BUG FIX: For WP 2.1.2. Fix the SQL query to exclude "Pages" from being deleted.

0.5

  • BUG FIX: Properly handle deleting posts from ALL categories.
  • BUG FIX: Fix the SQL query when deleting posting from a particular category to not
    summarily delete ALL posts!

0.4

  • FEATURE: Added option to delete posts from a particular category.

0.3

  • BUG FIX: Incorrect Terminate in functions
  • FEATURE: Instant DELETE/MOVE ability

0.2

  • BUG FIX: Modified SQL query to not delete pages.
  • FEATURE: Added option to move posts to a particular category instead of deleting them.

0.1

  • INITIAL: Initial version.

Requires: 2.0.2 or higher
Compatible up to: 2.9.2
Last Updated: 2010-5-15
Downloads: 18,243

Ratings

2 stars
2.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0 50,2,1
50,2,1
67,3,2
50,2,1
0,1,0 100,1,1
50,2,1
75,4,3
100,1,1
50,2,1